Summary: The shared library for the S-Lang extension language.
Name: slang-j
Version: 1.3.8__J067
Release: 2
Copyright: GPL
Group: System Environment/Libraries
Source: http://home.sprintmail.com/~kikutani/slang/slang-%{version}.tar.gz
URL: http://home.sprintmail.com/~kikutani/slang.html
#URL: ftp://space.mit.edu/pub/davis/slang/
Prefix: /usr
Obsoletes: slang_jp
Buildroot: /var/tmp/%{name}-%{version}-root
Summary(ja): S-Lang ĥѶͭ饤֥

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package devel
Summary: The static library and header files for development using S-Lang.
Group: Development/Libraries
Requires: slang

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%prep
%setup -q -n slang-%{version}

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{prefix} --includedir=%{prefix}/include/slang-j
make THIS_LIB=slang-j elf all

%install
rm -rf ${RPM_BUILD_ROOT}
make THIS_LIB=slang-j prefix=${RPM_BUILD_ROOT}%{prefix} install_include_dir=${RPM_BUILD_ROOT}%{prefix}/include/slang-j install-elf install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root) 
%{prefix}/lib/libslang-j.so.*

%files devel
%defattr(-, root, root) 
%doc COPYING* COPYRIGHT INSTALL.* NEWS README UPGRADE.txt changes.txt doc
%doc demo examples modules slang-j.doc slsh
%{prefix}/lib/libslang-j.a
%{prefix}/lib/libslang-j.so
%{prefix}/include/slang-j/

%changelog
* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1

* Thu Sep 02 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Update to version 1.3.8_J067
- built against RHL-6.0/i386
- Group: Libraries -> System Environment/Libraries

* Sat Nov 21 1998 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs.

* Mon Oct 26 1998 Toru Hoshina <hoshina@best.com>

- revision up to J054.

* Sun Aug 23 1998 Toru Hoshina <hoshina@best.com>

- revision up. Package name is changed to slang_jp in order to be coexist with slang 0.xx.

* Mon Jul  6 1998 Toru Hoshina <hoshina@best.com>

- First release.
